clang 8.0.0

Functions
PS4CPU.cpp File Reference
`#include "PS4CPU.h"`
`#include "FreeBSD.h"`
`#include "CommonArgs.h"`
`#include "clang/Driver/Compilation.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "clang/Driver/SanitizerArgs.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include <cstdlib>`
Include dependency graph for PS4CPU.cpp:

Go to the source code of this file.

## Functions
static void | AddPS4SanitizerArgs (const ToolChain &TC, ArgStringList &CmdArgs)
static void | ConstructPS4LinkJob (const Tool &T, Compilation &C, const JobAction &JA, const InputInfo &Output, const InputInfoList &Inputs, const ArgList &Args, const char *LinkingOutput)
static void | ConstructGoldLinkJob (const Tool &T, Compilation &C, const JobAction &JA, const InputInfo &Output, const InputInfoList &Inputs, const ArgList &Args, const char *LinkingOutput)

## Function Documentation

## ◆ AddPS4SanitizerArgs()

static void AddPS4SanitizerArgs | ( | const ToolChain & | TC,
|  | ArgStringList & | CmdArgs
| ) |  |
| static

Definition at line 69 of file PS4CPU.cpp.

References clang::driver::tools::PS4cpu::addSanitizerArgs(), clang::driver::ToolChain::getSanitizerArgs(), clang::driver::SanitizerArgs::needsAsanRt(), and clang::driver::SanitizerArgs::needsUbsanRt().

Referenced by ConstructGoldLinkJob(), and ConstructPS4LinkJob().

## ◆ ConstructGoldLinkJob()

static void ConstructGoldLinkJob | ( | const Tool & | T,
|  | Compilation & | C,
|  | const JobAction & | JA,
|  | const InputInfo & | Output,
|  | const InputInfoList & | Inputs,
|  | const ArgList & | Args,
|  | const char * | LinkingOutput
| ) |  |
| static

Definition at line 148 of file PS4CPU.cpp.

References clang::driver::Compilation::addCommand(), clang::driver::toolchains::FreeBSD::AddCXXStdlibLibArgs(), clang::driver::ToolChain::AddFilePathLibArgs(), clang::driver::tools::AddLinkerInputs(), AddPS4SanitizerArgs(), clang::driver::Driver::CCCIsCXX(), clang::driver::ToolChain::getDriver(), clang::driver::InputInfo::getFilename(), clang::driver::ToolChain::GetFilePath(), clang::driver::ToolChain::GetProgramPath(), clang::driver::Tool::getToolChain(), clang::driver::InputInfo::isFilename(), clang::driver::InputInfo::isNothing(), clang::driver::ToolChain::ShouldLinkCXXStdlib(), and clang::driver::Driver::SysRoot.

Referenced by clang::driver::tools::PS4cpu::Link::ConstructJob().

## ◆ ConstructPS4LinkJob()

static void ConstructPS4LinkJob | ( | const Tool & | T,
|  | Compilation & | C,
|  | const JobAction & | JA,
|  | const InputInfo & | Output,
|  | const InputInfoList & | Inputs,
|  | const ArgList & | Args,
|  | const char * | LinkingOutput
| ) |  |
| static

Definition at line 88 of file PS4CPU.cpp.

References clang::driver::Compilation::addCommand(), clang::driver::tools::AddLinkerInputs(), AddPS4SanitizerArgs(), clang::driver::ToolChain::getDriver(), clang::driver::InputInfo::getFilename(), clang::driver::ToolChain::GetProgramPath(), clang::driver::Tool::getToolChain(), clang::driver::InputInfo::isFilename(), clang::driver::InputInfo::isNothing(), and clang::driver::Driver::SysRoot.

Referenced by clang::driver::tools::PS4cpu::Link::ConstructJob().